/*
 * Copyright 2013 Red Hat Inc. and/or its affiliates and other contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,  
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.switchyard.config.model.selector;



/**
 * Regex OperationSelector model.
 */
public interface RegexOperationSelectorModel extends OperationSelectorModel {

    /** The "regex" name. */
    public static final String REGEX = "regex";
    
    /** expression attribute. */
    public static final String EXPRESSION = "expression";
    
    /**
     * Get Regex expression.
     * @return Regex expression
     */
    String getExpression();
    
    /**
     * Set Regex expression.
     * @param expression Regex expression
     * @return this OperationSelectorModel for chaining
     */
    RegexOperationSelectorModel setExpression(String expression);
}
